#pragma once

#include "CoreMinimal.h"
#include "SaveDataBase.h"
#include "ChallengeUIDataSaved.generated.h"

USTRUCT(BlueprintType)
struct FChallengeUIDataSaved : public FSaveDataBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, SaveGame)
	TMap<FString, FString> SeenChallengeSets;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SaveGame)
	FString LastCloseState;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SaveGame)
	TArray<FString> FollowedChallenges;

public:
	DEADBYDAYLIGHT_API FChallengeUIDataSaved();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeUIDataSaved) { return 0; }
